
Redmine - Defect #2509

autofetch with cvs repository does not find changes in sub folders

2009-01-14 18:55 - Will Vanderpol

Status: Closed Start date: 2009-01-14

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

Did some testing as to why redmine will pick up some changes in cvs and not others.

I noticed that it will pick up all changes in the root folder of the cvs repository, but if there are changes in sub folders it will not pick

them up and assign to a revision id. (You can still browse to the file and see the changes there).

History

#1 - 2009-01-14 19:18 - Jean-Philippe Lang

- Assignee deleted (Jean-Philippe Lang)

- Estimated time deleted (4.00 h)

#2 - 2009-01-18 12:15 - Jean-Philippe Lang

I can't reproduce this problem. Changes that occur in subfolders are loaded for me.

What is your CVS version and OS?

#3 - 2009-01-21 17:43 - Will Vanderpol

I just had a thought, since this used to work perfectly on another server in 0.7.3.

On the new server I have Redmine 0.8.0 running on mysql, I have the following options set in my.cnf

auto_increment_increment=2

auto_increment_offset=2

This causes all issues to have even numbered id's, and other problems too. I bet this is causing the repository issue as well. I can't test this right now,

unfortunately, the database needs this turned on for replication reasons.

#4 - 2009-01-21 17:46 - Will Vanderpol

Running Gentoo Linux, CVS version is 1.12.12-r4, rails 2.1.2, ruby 1.8.6_p187-r1

#5 - 2009-01-21 21:27 - Will Vanderpol

- File changesets_ordered.txt added

- File changesets_unordered.txt added

I have removed the mysql autoincrement settings listed above, however the bug still occurs.

Looking in the changesets table I noticed that revision is a varchar(255) field rather than numeric?

It also looks like you assume the the id is ordered with revision, but the attached text file will show otherwise.

As the id increments in the changesets_ordered.txt file, the revision seems to be in a random order?

When I select without the order clause (changesets_unordered.txt), the revision field is sorted, alphanumerically, not numerically.

I have a feeling the initial population of changesets has a sorting issue, which is not apparent if you start a new repository.

#6 - 2009-01-22 22:32 - Will Vanderpol

Bill Vanderpol wrote:

I have a feeling the initial population of changesets has a sorting issue, which is not apparent if you start a new repository.

 Should read:

I have a feeling the initial population of changesets has a sorting issue, which is not apparent UNLESS you start a new repository.

#7 - 2009-06-23 20:28 - Will Vanderpol
https://www.redmine.org/projects/redmine/repository/svn/revisions/4
https://www.redmine.org/projects/redmine/repository/svn/revisions/1


- Status changed from New to Resolved

Well, I made the switch to svn, and it doesn't have this problem. My problem is gone.

#8 - 2010-02-11 20:37 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Files

changesets_ordered.txt 36.9 KB 2009-01-21 Will Vanderpol

changesets_unordered.txt 36.9 KB 2009-01-21 Will Vanderpol
